#include "interactable.h"

interactable::interactable(QPixmap pixmap)
{
    setPixmap(pixmap);
    pressable = false;
    type = 0;
}

interactable::~interactable()
{

}

void interactable::setPressable(bool boolean)
{
    pressable = boolean;
}

bool interactable::getPressable()
{
    return pressable;
}

void interactable::setInteractable(int typeInt)
{
    type = typeInt;
}

int interactable::getInteractable()
{
    return type;
}
